/**
	* Theme Name: Blocksy Child
	* Description: Blocksy Child theme
	* Author: Creative Themes
	* Template: blocksy
	* Text Domain: blocksy
*/

:root {
	--fontFamily: "Ubuntu", -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';
	--bs-font-sans-serif: "Ubuntu", system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
}
/*
html:not(.is-mobile) ::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}
html:not(.is-mobile) ::-webkit-scrollbar-track {
	background-color: white;
}
html:not(.is-mobile) ::-webkit-scrollbar-thumb {
	background-color: black;
	border: 3px solid white;
}
*/

html:not(.is-mobile) ::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}
html:not(.is-mobile) ::-webkit-scrollbar-track {
	background-color: transparent;
}
html:not(.is-mobile) ::-webkit-scrollbar-thumb {
  border: 3px solid transparent;
  background-color: hsl(240deg 5% 60% / 75%);
  background-clip: content-box;
}


html:not(.is-mobile) ::-webkit-scrollbar-thumb:hover {
    border: 0px solid transparent;
}


html {
	overflow: overlay !important;
}



/* F5 Header */
.support_header {
	border-bottom: 1px solid hsl(240, 20%, 15%);
	background-color: black;
}



.header_desktop {
	color: white;
	width: var(--block-width, var(--container-width));
    max-width: var(--block-max-width, var(--normal-container-max-width));
	margin: 0 auto;
	display: flex;
	flex-direction: row;
	align-items: center;
	height: 80px;
	justify-content: space-between;
}

@media (max-width: 960px) {
	.header_desktop {
		display: none;
		
	}
}

.header_desktop > .header_logo {
	height: 100%;
	width: auto;
	padding: 0;
	margin-right: 2rem;
	box-sizing: border-box;
	display: flex;
	align-items: center;
}

.header_desktop > .header_logo img {
	width: auto;
	height: 40px;
}

.header_menu,
.header_menu ul {
	list-style: none;
	margin: 0;
	padding-left: 0;
	z-index: 1;
}

.header_menu {
	display: flex;
	height: 100%;
	
}
.header_menu > .dropdown > a:before {
	content: "\2261";
	margin-right: 5px;
}

.link_main {
	position: relative;
}

.link_main.active:before {
	content: "\2022";
	opacity: .6;
	position: absolute;
	left: 0;
	bottom: 0;
	text-align: center;
	width: 100%;
}

.dropdown li a.active:after {
	content: "●";
	opacity: .4;
	margin-left: auto;
	
}

.header_menu li {
	float: left;
	text-decoration: none;
	transition-duration: 0.15s;
}

.header_menu li a {
	display: flex;
	color: #fff;
	padding: 0.75em 1.5em;
}

.header_menu > li > a,
.header_focus {
	color: #fff;
	padding: 0 1.5em;
	height: 100%;
	display: flex;
	align-items: center;
	cursor: pointer;
	transition: all 0.15s ease-out;
}

.header_focus {
	padding: 0;
	margin-left: 2rem;
	justify-content: flex-end;
}

.header_menu:hover li a {
	opacity: .5;
}

.header_menu li:hover a,
.header_menu li:focus-within a {
	opacity: 1;
	
}

.header_menu li:focus-within a {
	outline: none;
}

.header_menu li ul {
	background: var(--clrBlack);
	visibility: hidden;
	opacity: 0;
	min-width: 10rem;
	position: absolute;
	transition: all 0.15s ease;
	left: 0;
	display: none;
}

.header_menu li:hover > ul,
.header_menu li:focus-within > ul,
.header_menu li ul:hover,
.header_menu li ul:focus {
	visibility: visible;
	opacity: 1;
	display: block;
}

.header_menu li ul li {
	clear: both;
	width: 100%;
}


.logo_button {
	color: white;
	background: var(--clrGreen);
	border: none;
	display: inline-flex;
	align-items: center;
	min-height: 40px;
	padding: 0.5rem 1rem;
	text-decoration: none;
	text-align: center;
	justify-content: center;
	position: relative;
	z-index: 0;
	margin: 10px;
	margin-left: auto;
}

/* Mobile header */
.header_mobile {
	background: var(--clrBlack);
	color: white;
	width: 100%;
	display: flex;
	flex-direction: row;
	align-items: center;
	height: 60px;
	box-sizing: border-box;
}

@media (min-width: 960px) {
	.header_mobile {
		display: none;
	}
}

@media (max-width: 960px) {
	.header_mobile > .header_logo {
		padding-right: 1rem;
		padding-left: 1rem;
	}
	.mmenu_open {
		width: calc(20px + 2rem);
	}
	
}


.header_mobile > .header_logo {
	height: 100%;
	display: flex;
	align-items: center;
}

.header_mobile > .header_logo img {
	height: 20px;
	width: auto;
}

.header_mobile nav {
	display: none;
}

.mmenu_open {
	margin-left: auto;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 60px;
	height: 100%;
}

.mmenu_open div {
	border: 1px solid white;
	height: 20px;
	width: 20px;
	overflow: hidden;
	position: relative;
	transition: all 0.15s ease-out;
}

.mm-ocd-opened .mmenu_open div {
	border: 1px solid transparent;
}

.mmenu_open span:nth-child(1),
.mmenu_open span:nth-child(2) {
	position: absolute;
	background: white;
	height: 1px;
	width: 135%;
	transform-origin: center;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	transition: 0.15s ease-out;
}

.mm-ocd-opened .mmenu_open span:nth-child(1) {
	transform: translate(-50%, -50%) rotate(45deg);
}

.mm-ocd-opened .mmenu_open span:nth-child(2) {
	transform: translate(-50%, -50%) rotate(-45deg);
}

/* Custom skin */
.mmenu_header img {
	display: none;
}

.mm-spn--main img {
	padding: 20px;
	height: 20px;
	width: auto;
	display: block;
	box-sizing: content-box;
}

.mmenu_footer p {
	opacity: 0.5;
	margin-top: 0;
}


/* cUSTOM */
.glitch {
	content: attr(data-text);
	position: relative;
	color: white;
	font-size: 3em;
	font-family: 'Wallpoet';
	overflow: visible;
	filter: blur(0.6px);
}
.glitch::before, .glitch::after {
	opacity: 0.666;
	display: block;
	content: attr(data-text);
	position: absolute;
	transform-origin: center;
	z-index: -1;
}
.glitch::before {
	top: -0.01em;
	left: -0.01em;
	color: #f0c;
	clip-path: polygon(0 0, 100% 0, 100% 10%, 0 10%, 0 20%, 100% 20%, 100% 30%, 0 30%, 0 40%, 100% 40%, 100% 50%, 0 50%, 0 60%, 100% 60%, 100% 70%, 0 70%, 0 80%, 100% 80%, 100% 90%, 0 90%);
	animation: shake 0.2s steps(5) 0s infinite;
}
.glitch::after {
	bottom: -0.01em;
	right: -0.01em;
	color: cyan;
	clip-path: polygon(0 10%, 100% 10%, 100% 20%, 0 20%, 0 30%, 100% 30%, 100% 40%, 0 40%, 0 50%, 100% 50%, 100% 60%, 0 60%, 0 70%, 100% 70%, 100% 80%, 0 80%, 0 90%, 100% 90%, 100% 100%, 0 100%);
	animation: shake 0.2s steps(5) 0.05s infinite;
}
@keyframes shake {
	0% {
		transform: translateX(3px);
	}
	25% {
		transform: translateX(-1px);
	}
	50% {
		transform: translateX(1px);
	}
	75% {
		transform: translateX(-3px);
	}
	100% {
		transform: translateX(1px);
	}
}


/* Neon */
.header_desktop .logo_neon {
	display: inline-flex;
	height: 40px;
}

.header_desktop .logo_neon svg {
	width: auto;
	height: 100%;
	display: block;
}


.header_desktop .logo_sign {
	width: 40px;
	height: 40px;
	display: block;
	clip-path: url(#logo_sign);
	position: relative;
	overflow: hidden;
}

.header_mobile .logo_neon {
	display: inline-flex;
	height: 30px;
}

.header_mobile .logo_neon svg {
	width: auto;
	height: 100%;
	display: block;
}


.header_mobile .logo_sign {
	width: 30px;
	height: 30px;
	display: block;
	clip-path: url(#logo_sign_mobile);
	position: relative;
	overflow: hidden;
}

.header_desktop .logo_sign:after,
.header_mobile .logo_sign:after {
	content: "";
	position: absolute;
	width: 200%;
	height: 200%;
	left: -50%;
	top: -50%;
	background: repeating-linear-gradient(
	to right,
	hsl(20, 100%, 55%) 0%,
	hsl(320, 100%, 50%) 16.66%,
	hsl(220, 100%, 65%) 33.33%,
	hsl(165, 100%, 50%) 50%,
	hsl(220, 100%, 65%) 66.66%,
	hsl(320, 100%, 50%) 83.33%,
	hsl(20, 100%, 55%) 100%
	);
	background-size: 400% auto;
	background-position: 0 100%;
	animation: gradient 20s infinite;
	animation-fill-mode: forwards;
	animation-timing-function: linear;
}

@keyframes gradient {
	0% {
		background-position: 0 0;
		transform: rotate(0deg);
	}
	100% {
		background-position: -400% 0;
		transform: rotate(360deg);
	}
}


/* Foooter */
.support_footer {
    overflow: hidden;
	background-color: black;
	color: hsl(240, 5%, 60%);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
	
}

.support_footer_container {
	width: var(--block-width, var(--container-width));
    max-width: var(--block-max-width, var(--normal-container-max-width));
	margin: 0 auto;
	display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 1rem;
    grid-auto-rows: max-content;
    grid-area: content;
    position: relative;
}

.support_footer_container > * {
	grid-column: 1 / span 12;
	margin: 0;
}

.support_footer_half {
	grid-column: span 6;
}

@media (max-width: 768px) {
	.support_footer_half {
		grid-column: span 12;
	}
}


@media (min-width: 768px) {
	.desktop_right {
		margin-left: auto;
		text-align: right
	}
}


@media (max-width: 960px) {
	.support_footer_container {
	width: 100%;
		padding-right: 1rem;
		padding-left: 1rem;
	}
}


.email_box {
	display: grid;
    grid-template-columns: 60px auto;
    grid-column-gap: 20px;
    grid-row-gap: 10px;
    align-content: start;
    position: relative;
    border-bottom: 1px solid transparent;
	align-items: end;
}

.email_box img {
    grid-row: span 2;
}

.email_box span {
    color: hsl(240, 5%, 80%);
}

.email_box a {
	color: white;
    font-size: clamp(1.5em, 2.5vw, 2em);
	font-weight: 500;
	line-height: 1;
}

.copyright {
	color: var(--clrLight60);
}
/* Footer / Links */
.footer_links a {
	color: hsl(240, 5%, 60%);
}

.footer_links a:hover {
	color: white;
}

.footer_links a:not(:last-child) {
	margin-right: 1em;
}

/* Footer / Socials */
.footer_socials a:not(:last-child) {
	margin-right: 1em;
}
.footer_socials a {
	padding: 0px;
	display: inline-block;
	line-height: 1;
}

.footer_socials a img {
	width: 100%;
    height: auto;
	max-width: 40px;
	display: inline-block;
}

.support_footer hr {
    border: 0;
    border-bottom: 1px dashed hsl(240, 5%, 25%);
    margin: 1rem 0;
}

.hide {display: none;}

/* Margin */
.mt1, .my1 {margin-top: 1rem;}
.mb1, .my1 {margin-bottom: 1rem;}
.mt2, .my2 {margin-top: 2rem;}
.mb2, .my2 {margin-bottom: 2rem;}
.mt3, .my3 {margin-top: 3rem;}
.mb3, .my3 {margin-bottom: 3rem;}
.mt4, .my4 {margin-top: 4rem;}
.mb4, .my4 {margin-bottom: 4rem;}
.mt5, .my5 {margin-top: 5rem;}
.mb5, .my5 {margin-bottom: 5rem;}

.mya, .mta {margin-top: auto;}
.mya, .mba {margin-bottom: auto;}

/* Padding */
.py1, .pt1 {padding-top: 1rem;}
.py1, .pb1 {padding-bottom: 1rem;}
.py2, .pt2 {padding-top: 2rem;}
.py2, .pb2 {padding-bottom: 2rem;}
.py3, .pt3 {padding-top: 3rem;}
.py3, .pb3 {padding-bottom: 3rem;}
.py4, .pt4 {padding-top: 4rem;}
.py4, .pb5 {padding-bottom: 4rem;}
.py5, .pt5 {padding-top: 5rem;}
.py5, .pb5 {padding-bottom: 5rem;}

.pr1, .px1 {padding-right: 1rem;}
.pl1, .px1 {padding-left: 1rem;}
.pr2, .px2 {padding-right: 2rem;}
.pl2, .px2 {padding-left: 2rem;}
.pr3, .px3 {padding-right: 3rem;}
.pl3, .px3 {padding-left: 3rem;}
.pr4, .px4 {padding-right: 4rem;}
.pl4, .px4 {padding-left: 4rem;}
.pr5, .px5 {padding-right: 5rem;}
.pl5, .px5 {padding-left: 5rem;}
